
Redmine - Defect #24335

Flawed display of the "+" dropdown menu tab.

2016-11-12 20:50 - Eric dLR

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: UI Estimated time: 0.00 hour

Target version:    

Resolution: Invalid Affected version: 3.3.1

Description

When the settings "Project menu tab for creating new objects" is set to 'Display the "+" dropdown", all the drop down menu items are

displayed as tab.

Each 'new' option is working fine.

It happens after an update from 2.5.2.devel to 3.3.1.stable. and I see it on every browser i tried... and it's a lot of browser!

See the attached screenshot

Environment:

  Redmine version                3.3.1.stable

  Ruby version                   2.1.5-p273 (2014-11-13) [x86_64-linux-gnu]

  Rails version                  4.2.7.1

  Environment                    production

  Database adapter               Mysql2

SCM:

  Subversion                     1.8.10

  Mercurial                      3.1.2

  Git                            2.1.4

  Filesystem                     

Redmine plugins:

  no plugin installed

History

#1 - 2016-11-13 13:30 - Eric dLR

- Status changed from New to Resolved

The previous redmine-2.5.2.devel was installed from debian repository. The v3.3.1.stable was installed from the redmine-3.3.1.stable.tar.gz archive.

So just to be sure that every library needed is installed I run this command from the 

HowTo_Install_Redmine_on_Debian_8_with_Apache2-Passenger wiki page:

$ sudo aptitude install mysql-server mysql-client libmysqlclient-dev gcc build-essential zlib1g zlib1g-dev zlibc ruby-zip libssl-dev libyaml-dev

libcurl4-openssl-dev ruby gem libapache2-mod-passenger apache2-mpm-prefork apache2-dev libapr1-dev libxslt1-dev checkinstall libxml2-dev

ruby-dev vim libmagickwand-dev imagemagick

After restarting the apache server, the dropdown menu was fixed.

#2 - 2016-11-14 02:21 - Toshi MARUYAMA

- Status changed from Resolved to Closed

- Resolution set to Invalid
